<?php

/**
 * Photo Spot
 *
 * @version 1.0
 * @author Creative Pulse
 * @copyright Creative Pulse 2009
 * @license GNU/GPLv2
 * @link http://www.creativepulse.eu
 */


class PhotoSpotDatasourceContentStoryDisplay extends PhotoSpotDatasourceDisplay {

	function analyze($content) {
		preg_match_all('~<\s*img.*?>~is', $content, $m);
		foreach ($m[0] as $source) {
			preg_match_all('~(\w*)\s*=\s*"([^"]*)"~s', $source, $m2);

			$attrs = array();
			for ($i = 0, $len = count($m2[0]); $i < $len; $i++)
				$attrs[strtolower($m2[1][$i])] = trim($m2[2][$i]);

			if (isset($attrs['src'])) {
				$item = new PhotoSpotDisplayItem();

				$item->link = $this->current_link;

				$item->img_url = $attrs['src'];

				$item->ext = strrchr($item->img_url, '.');
				if (!empty($item->ext))
					$item->ext = strtolower(substr($item->ext, 1));

				if (isset($attrs['title']))
					$item->title = $attrs['title'];
				else if (isset($attrs['alt']))
					$item->title = $attrs['alt'];

				if (isset($attrs['width']))
					$item->img_width = $attrs['width'];

				if (isset($attrs['height']))
					$item->img_height = $attrs['height'];

				$this->items[] = $item;
			}
		}
	}

	function init($viewer) {
		require_once(JPATH_SITE . '/components/com_content/helpers/route.php');

		$db =& JFactory::getDBO();

		$user =& JFactory::getUser();
		$aid = $user->get('aid', 0);

		$contentConfig =& JComponentHelper::getParams('com_content');
		$noauth = !$contentConfig->get('show_noauth');
		$date =& JFactory::getDate();
		$now = $date->toMySQL();

		$nullDate = $db->getNullDate();

		$article_id = (int) $this->params->get('article_id', '');

		if ($article_id == 0)
			return '';

		$read_intro = (bool) $this->params->get('read_intro', '1');
		$read_fulltext = (bool) $this->params->get('read_fulltext', '1');

		$query_base =
'FROM #__content AS a
INNER JOIN #__categories AS cc ON cc.id = a.catid
INNER JOIN #__sections AS s ON s.id = a.sectionid
WHERE a.id = ' . $article_id . ' AND a.state = 1
' . ($noauth ? ' AND a.access <= ' . (int) $aid . ' AND cc.access <= ' . (int) $aid . ' AND s.access <= ' . (int) $aid : '') . '
AND (a.publish_up = ' . $db->Quote($nullDate) . ' OR a.publish_up <= ' . $db->Quote($now) . ')
AND (a.publish_down = ' . $db->Quote($nullDate) . ' OR a.publish_down >= ' . $db->Quote($now) . ')
AND cc.section = s.id
AND cc.published = 1
AND s.published = 1';

		$query =
'SELECT a.*,
CASE WHEN CHAR_LENGTH(a.alias) THEN CONCAT_WS(":", a.id, a.alias) ELSE a.id END as slug,
CASE WHEN CHAR_LENGTH(cc.alias) THEN CONCAT_WS(":", cc.id, cc.alias) ELSE cc.id END as catslug
' . $query_base;

		$db->setQuery($query);
		$rec = $db->loadObject();

		if ($rec !== null) {
			$this->current_link = JRoute::_(ContentHelperRoute::getArticleRoute($rec->slug, $rec->catslug, $rec->sectionid));

			if ($read_intro)
				$this->analyze($rec->introtext);

			if ($read_fulltext)
				$this->analyze($rec->fulltext);

			$this->items_count = count($this->items);
		}

		return '';
	}

}

$engine = new PhotoSpotDatasourceContentStoryDisplay();

?>