<?php

/**
 * Slide One TNA - Photospot Viewer
 *
 * @package slideone_tna
 * @version 1.0
 * @copyright Creative Pulse 2010
 * @link http://www.creativepulse.eu/
 */


if (!class_exists('PhotoSpotViewerSlideoneTnaDisplay')) {
	class PhotoSpotViewerSlideoneTnaDisplay extends PhotoSpotViewerDisplay {

		function get_instance($create = false) {
			static $id;

			if ($create)
				$id = intval($id) + 1;

			return $id;
		}

		function init() {
			return '';
		}

		function render($ds) {
			$inst = $GLOBALS['ps_viewer_slideone_tna_instances'] = intval(@$GLOBALS['ps_viewer_slideone_tna_instances']) + 1;

			$style = array();

			$width = intval($this->params->get('width', ''));
			if ($width > 0)
				$style[] = 'width:' . $width . 'px;';

			$height = intval($this->params->get('height', ''));
			if ($height > 0)
				$style[] = 'height:' . $height . 'px;';

			if (empty($style))
				$style = '';
			else
				$style = ' style="' . implode(' ', $style) . ' overflow:hidden"';

			$class_container = $this->params->get('class_container', 'ps_viewer_slideone_tna');
			$class_panel = $this->params->get('class_panel', 'ps_viewer_slideone_tna_panel');
			$class_img = $this->params->get('class_img', 'ps_viewer_slideone_tna_img');
			$class_button = $this->params->get('class_button', 'ps_viewer_slideone_tna_button');

			echo '
<div id="ps_viewer_slideone_tna_' . $inst . '_container" class="' . $class_container . '"' . $style . '>
	<div id="ps_viewer_slideone_tna_' . $inst . '_driver">&nbsp;</div>

	<div id="ps_viewer_slideone_tna_' . $inst . '_content" style="display:none">
		<table cellspacing="0" cellpadding="0">
			<tr>
';

			$idx = -1;
			foreach ($ds->items as $item) {
				$idx++;

				$image = '<img src="' . htmlspecialchars(!empty($item->thumb_url) ? $item->thumb_url : $item->img_url) . '" alt="" class="' . $class_img . '" />';

				if (!empty($item->link))
					$image = '<a href="' . $item->link . '">' . $image . '</a>';

				echo
'				<td>
					<div id="ps_viewer_slideone_tna_' . $inst . '_panel_' . $idx . '" class="' . $class_panel . '">
						' . $image . '
						' . (empty($item->title) ? '' : '<h3>' . htmlspecialchars($item->title) . '</h3>') . '
						' . (empty($item->description) ? '' : htmlspecialchars($item->description)) . '
					</div>
				</td>
';
			}

			echo '
			</tr>
		</table>
	</div>

	<div id="ps_viewer_slideone_tna_' . $inst . '_buttons" style="display:none">
';
			for ($i = 0, $len = count($ds->items); $i < $len; $i++)
				echo '
		<div id="ps_viewer_slideone_tna_' . $inst . '_button_' . $i . '" class="' . $class_button . '">
			' . ($i + 1) . '
		</div>
';

			echo '
	</div>
</div>
';

			if ($inst == 1) {
				$document =& JFactory::getDocument();
				$document->addScript('plugins/photospot_viewers/slideone_tna/display.js');
			}

			echo '
<script type="text/javascript">
// <![CDATA[
';

			if ($inst == 1)
				echo '
document["ps_viewer_slideone_tna_conf"] = { }
';

			echo '
document["ps_viewer_slideone_tna_conf"]["inst_' . $inst . '"] = {
	iname: "ps_viewer_slideone_tna_' . $inst . '",
	speed: ' . intval($this->params->get('speed', 2)) . ',
	idle_secs: ' . intval($this->params->get('idle_secs', 10)) . ',
	class_button: "' . $class_button . '",
	class_button_sel: "' . $class_button . '_sel",
	thumb_position: "' . $this->params->get('thumb_position', 'bottom_right') . '",
	thumb_offset_x: ' . intval($this->params->get('thumb_offset_x', 10)) . ',
	thumb_offset_y: ' . intval($this->params->get('thumb_offset_y', 10)) . '
};
// ]]>
</script>
';
		}

	}
}

$engine = new PhotoSpotViewerSlideoneTnaDisplay();

?>