<?php

/**
 * Exchange - Joomla Template
 *
 * @package bt_exchange
 * @version 1.0
 * @copyright BonusThemes.com 2010
 * @link http://www.bonusthemes.com/goto/bt_exchange
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// BEGIN: j17
// Create a shortcut for params.
$params = &$this->item->params;
$canEdit	= $this->item->params->get('access-edit');
// END: j17

$style = '';
$date_format = '';
foreach (file(dirname(__FILE__) . '/../../../params.ini') as $line) {
	$e = explode('=', $line, 2);
	if (count($e) == 2) {
		$k = strtolower(trim($e[0]));
		if ($k == 'blogstyle')
			$style = trim($e[1]);
		else if ($k == 'date_format')
			$date_format = trim($e[1]);
	}
}
if ($date_format == '')
	$date_format = JText::_('DATE_FORMAT_LC2');

$canEdit = ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));

$sfx = $this->escape($this->item->params->get('pageclass_sfx'));


if ($this->item->state == 0)
	echo
'<div class="system-unpublished">
';


// output header

$header_title = '';
if ($this->item->params->get('show_title')) {
	$header_title = $this->escape($this->item->title);

	$i = strpos($header_title, ' ');
	if ($i === false)
		$header_title = '<span class="mod_word">' . $header_title . '</span>';
	else
		$header_title = '<span class="mod_word">' . substr($header_title, 0, $i) . '</span>' . substr($header_title, $i);

	if ($this->item->params->get('link_titles') && $this->item->readmore_link != '')
		$header_title = '<a href="' . $this->item->readmore_link . '" class="contentpagetitle' . $sfx . '">' . $header_title . '</a>';
}


$elements = array();

if ($this->item->params->get('show_pdf_icon'))
	$elements[] = JHTML::_('icon.pdf', $this->item, $this->item->params, $this->access);

if ($this->item->params->get( 'show_print_icon'))
	$elements[] = JHTML::_('icon.print_popup', $this->item, $this->item->params, $this->access);

if ($this->item->params->get('show_email_icon'))
	$elements[] = JHTML::_('icon.email', $this->item, $this->item->params, $this->access);

if ($canEdit)
	$elements[] = JHTML::_('icon.edit', $this->item, $this->item->params, $this->access);

$elements = empty($elements) ? '' : implode(' ', $elements);


echo
'<div class="contentpaneopen' . $sfx . '"><div class="btarticle_mc"><div class="btarticle_tc"><div class="btarticle_bc"><div class="btarticle_ml"><div class="btarticle_mr"><div class="btarticle_tl"><div class="btarticle_tr"><div class="btarticle_bl"><div class="btarticle_br">
';
$header_exists = $header_title != '' || $elements != '';
if ($header_exists) {
	echo
'	<div class="btarticle_hd_gapu"></div>
	<div class="btarticle_hd_mc"><div class="btarticle_hd_bc"><div class="btarticle_hd_ml"><div class="btarticle_hd_mr"><div class="btarticle_hd_bl"><div class="btarticle_hd_br">
		<div class="btarticle_hd_gapm"></div>
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td width="12">&nbsp;</td>
';

	if ($header_title != '')
		echo
'				<td class="contentheading' . $sfx . '" valign="top">
					<div class="btarticle_hd_title">
						' . $header_title . '
					</div>
				</td>
';

	if ($elements != '')
		echo
'				<td nowrap="nowrap"> &nbsp; </td>
				<td class="buttonheading" align="right" valign="top" nowrap="nowrap">' . $elements . '</td>
';

	echo
'				<td width="10">&nbsp;</td>
			</tr>
		</table>
		<div class="btarticle_hd_gapd"></div>
	</div></div></div></div></div></div>
';
}


// output main body

echo
'	<div class="mstyle_tgap">&nbsp;</div>
	<div class="mstyle_inner">
';

if (!$this->item->params->get('show_intro'))
	echo $this->item->event->afterDisplayTitle;

echo $this->item->event->beforeDisplayContent;


// show section and category links

$elements = array();

if ($this->item->params->get('show_section') && $this->item->sectionid && isset($this->item->section)) {
	if ($this->item->params->get('link_section'))
		$elements[] = '<a href="' . JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)) . '">' . $this->escape($this->item->section) . '</a>';
	else
		$elements[] = $this->escape($this->item->section);
}

if ($this->item->params->get('show_category') && $this->item->catid) {
	if ($this->item->params->get('link_category'))
		$elements[] = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)) . '">' . $this->escape($this->item->category) . '</a>';
	else
		$elements[] = $this->escape($this->item->category);
}

if (!empty($elements))
	echo
'<div class="contentpaneopen' . $sfx . '">' . implode(' - ', $elements) . '</div>
';


// show urls

if ($this->item->params->get('show_url') && $this->item->urls)
	echo
'<div class="contentpaneopen' . $sfx . '">
	<a href="http://' . $this->escape($this->item->urls) . '" target="_blank">' . $this->escape($this->item->urls) . '</a>
</div>
';


// show toc

if (isset($this->item->toc))
	echo
'<div class="contentpaneopen' . $sfx . '">
	' . $this->item->toc . '
</div>
';


// show content

echo
'<div class="contentpaneopen' . $sfx . '">
';

if ($style == 'blog' && $this->item->params->get('show_create_date')) {
	$config =& JFactory::getConfig();
	list($day, $month, $year) = explode(' ', gmdate('j F Y', strtotime($this->item->created) + $config->getValue('config.offset') * 3600));
	echo
'	<div class="blogdate">
		<div class="month">' . JText::_($month . '_short') . '</div>
		<div class="day">' . $day . '</div>
		<div class="year">' . JText::_($year) . '</div>
	</div>
';
}

echo $this->item->introtext . '
	<div style="clear:both"></div>
</div>
';


// show read more

if ($this->item->params->get('show_readmore') && $this->item->readmore) {
	echo
'<div class="contentpaneopen' . $sfx . '">';
	
	// BEGIN: j17
	if ($params->get('access-view')) :
		$link = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
	else :
		$menu = JFactory::getApplication()->getMenu();
		$active = $menu->getActive();
		$itemId = $active->id;
		$link1 = JRoute::_('index.php?option=com_users&view=login&&Itemid=' . $itemId);
		$returnURL = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
		$link = new JURI($link1);
		$link->setVar('return', base64_encode($returnURL));
	endif;

    echo '<a href="'.$link.'" class="readon">';
	
	if (!$params->get('access-view')) :
		echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
	elseif ($readmore = $this->item->alternative_readmore) :
		echo $readmore;
	if ($params->get('show_readmore_title', 0) != 0) :
		echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
	endif;
		elseif ($params->get('show_readmore_title', 0) == 0) :
	echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
		else :
	echo JText::_('COM_CONTENT_READ_MORE');
		echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
	endif;
    echo '</a>';
	// END: j17
			
echo '</div>
';
}


// close main body

echo
'	</div>
';


// output footer

$elements = array();

	// BEGIN: j17
	/*$author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author;
	if ($params->get('show_author') && !empty($this->item->author )) :
		$needle = 'index.php?option=com_contact&view=contact&id=' . $this->item->contactid;
		$item = JSite::getMenu()->getItems('link', $needle, true);
		$cntlink = !empty($item) ? $needle . '&Itemid=' . $item->id : $needle;
		$elements[] = JText::sprintf('COM_CONTENT_WRITTEN_BY', JHtml::_('link', JRoute::_($cntlink), $author));
	else:
		$elements[] = JText::sprintf('COM_CONTENT_WRITTEN_BY', $author);
	endif;*/
?>
<?php 
if ($params->get('show_author') && !empty($this->item->author )) :

	$author =  $this->item->author;
	$author = ($this->item->created_by_alias ? $this->item->created_by_alias : $author);

	if (!empty($this->item->contactid ) &&  $params->get('link_author') == true):
		$elements[] = JText::sprintf('COM_CONTENT_WRITTEN_BY', JHtml::_('link', JRoute::_('index.php?option=com_contact&view=contact&id='.$this->item->contactid), $author));
	else:
		$elements[] = JText::sprintf('COM_CONTENT_WRITTEN_BY', $author);
	endif;
	
endif;

	//$elements[] = JText::sprintf('Written by', ($this->escape($this->item->created_by_alias) ? $this->escape($this->item->created_by_alias) : $this->escape($this->item->author)));
	// END: j17

// BEGIN: j17
if ($style != 'blog' && $params->get('show_create_date'))
	$elements[] = '<span>' . JText::sprintf('COM_CONTENT_CREATED_DATE_ON', JHtml::_('date',$this->item->created, JText::_('DATE_FORMAT_LC2'))) . '</span>';
// END: j17
	
// BEGIN: j17
if ($params->get('show_modify_date'))
	$elements[] = '<span class="modifydate">' . JText::sprintf('COM_CONTENT_LAST_UPDATED', JHTML::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC2'))) . '</span>';
// END: j17

if (empty($elements))
	echo
'	<div class="mstyle_bgap">&nbsp;</div>
';
else
	echo
'	<div style="clear:both"></div>
	<div class="mstyle_inner">
		<div class="btarticle_footer_top"></div>
		<div>' . implode(" &nbsp; | &nbsp; \n", $elements) . '</div>
	</div>
	<div class="mstyle_bgap">&nbsp;</div>
';



// close wrapper

echo
'</div></div></div></div></div></div></div></div></div></div>
';


if ($this->item->state == 0)
	echo
'</div>
';

echo
'<span class="article_separator">&nbsp;</span>
' . $this->item->event->afterDisplayContent;

?>